Subject: Re: About Zebra Error

From: Eugene Surovegin <[email-masked]>
Date: Thu, 13 Jan 2005 01:12:35 -0800

On Thu, Jan 13, 2005 at 04:50:27PM +0800, Aubrey Lee wrote:
>  hi, In the PC(i686) system, I build and run zebra successfully. And now
> I'm porting it to the powerpc system. Cross-compiling finished without error.
> But when I run the zebra from my target board, it gives me  a big headache:
> --------------------------------------------------------------------------  
> bash-2.05b# /opt/zebra/sbin/zebra
>              sock: Address family not supported by protocol
> ----------------------------------------------------------------------------
> And Up to now I cann't find the message in the souce 
> code files.  
>      The two ethx and their driver of my board is OK.
>      What shall I do?

Most probably zebra needs some some socket family (e.g. PF_PACKET) 
which wasn't enabled in your PPC kernel.

Compare .config files for x86 and PPC kernels, especially networking 
configuration parts.

The reason you cannot find "Address family not supported by protocol" 
message in the zebra sources is because this message comes from libc, 
e.g. by using perror(3) or sys_errlist directly.

--
Eugene